Bug 624198 - WARNING: failed to install schema
Summary: WARNING: failed to install schema
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: devhelp
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-14 10:20 UTC by Martin Sourada
Modified: 2012-08-17 01:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:06:58 UTC


Attachments (Terms of Use)

Description Martin Sourada 2010-08-14 10:20:17 UTC
Description of problem:
During yum install devhelp this warning appears:
WARNING: no <list_type> specified for schema of type list 
WARNING: invalid or missing list_type for schema (/schemas/apps/devhelp/state/main/contents/books_disabled) 
WARNING: failed to install schema `/schemas/apps/devhelp/state/main/contents/books_disabled', locale `C': Schema specifies type list but doesn't specify the type of the list elements

Version-Release number of selected component (if applicable):
devhelp-2.31.6-3.fc14.i686

How reproducible:
always

Steps to Reproduce:
0. yum remove devhelp if installed
1. yum -y install devhelp
  
Actual results:
The said warning appears.

Expected results:
Devhelp installs without warnings.

Additional info:
Similar warning happens during yum remove dehelp as well:

WARNING: no <list_type> specified for schema of type list
WARNING: invalid or missing list_type for schema (/schemas/apps/devhelp/state/main/contents/books_disabled)

Comment 1 Fedora Update System 2010-09-09 14:47:22 UTC
devhelp-2.31.91-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/devhelp-2.31.91-2.fc14

Comment 2 Fedora Update System 2010-09-10 15:12:24 UTC
devhelp-2.31.91-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update devhelp'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/devhelp-2.31.91-2.fc14

Comment 3 Fedora Update System 2010-09-30 13:48:35 UTC
devhelp-2.32.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/devhelp-2.32.0-1.fc14

Comment 4 Michel Alexandre Salim 2010-10-04 14:40:18 UTC
Update does not fix this bug; please remove it from the list of fixed bugs.

Running Transaction
  Installing     : 1:devhelp-2.32.0-1.fc14.x86_64                           1/1 
WARNING: Failed to parse default value `' for schema (/schemas/apps/devhelp/state/main/contents/books_disabled)
WARNING: Failed to parse default value `' for schema (/schemas/apps/devhelp/state/main/contents/books_disabled)

Comment 5 Fedora Update System 2010-10-28 06:04:34 UTC
devhelp-2.32.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Robin Lee 2010-10-28 11:14:55 UTC
Reopened since the above update does not actually fix this bug.
Refer to: https://bugzilla.redhat.com/show_bug.cgi?id=624198#c4

Comment 7 Rakesh Pandit 2010-12-28 07:18:58 UTC
(In reply to comment #6)
> Reopened since the above update does not actually fix this bug.
> Refer to: https://bugzilla.redhat.com/show_bug.cgi?id=624198#c4

Confirmed. This update does not fix the bug.

Comment 8 Rakesh Pandit 2011-01-11 04:44:11 UTC
I can see it in rawhide as well:
  Installing : 1:devhelp-2.90.5-6.fc15.x86_64                                5/41 
WARNING: Failed to parse default value `' for schema (/schemas/apps/devhelp/state/main/contents/books_disabled)

Comment 9 Fedora End Of Life 2012-08-16 19:07:01 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Cristian Ciupitu 2012-08-17 01:07:39 UTC
Fixed in devhelp-3.4.1-1.fc17.x86_64.


Note You need to log in before you can comment on or make changes to this bug.